QXmpp: QXmppTrustMessageKeyOwner Class Reference

QXmpp Version: 1.14.2

Loading...
Searching...
No Matches
QXmppTrustMessageKeyOwner Class Reference

The QXmppTrustMessageKeyOwner class represents a key owner of the trust message as defined by XEP-0434: Trust Messages (TM). More...

## Public Member Functions
| QXmppTrustMessageKeyOwner ()
| QXmppTrustMessageKeyOwner (const QXmppTrustMessageKeyOwner &other)
| Copy constructor.
| QXmppTrustMessageKeyOwner (QXmppTrustMessageKeyOwner &&)
| Copy constructor.
QXmppTrustMessageKeyOwner & | operator= (const QXmppTrustMessageKeyOwner &other)
| Assignment operator.
QXmppTrustMessageKeyOwner & | operator= (QXmppTrustMessageKeyOwner &&)
| Assignment operator.
QString | jid () const
void | setJid (const QString &jid)
QList< QByteArray > | trustedKeys () const
void | setTrustedKeys (const QList< QByteArray > &keyIds)
QList< QByteArray > | distrustedKeys () const
void | setDistrustedKeys (const QList< QByteArray > &keyIds)

## Static Public Member Functions
static bool | isTrustMessageKeyOwner (const QDomElement &element)

## Detailed Description

The QXmppTrustMessageKeyOwner class represents a key owner of the trust message as defined by XEP-0434: Trust Messages (TM).

Since
  QXmpp 1.5

## Constructor & Destructor Documentation

## ◆ QXmppTrustMessageKeyOwner()

QXmppTrustMessageKeyOwner::QXmppTrustMessageKeyOwner | ( |  | ) |

Constructs a trust message key owner.

## Member Function Documentation

## ◆ distrustedKeys()

QList< QByteArray > QXmppTrustMessageKeyOwner::distrustedKeys | ( |  | ) | const

Returns the IDs of the keys that are distrusted.

Returns
  the IDs of distrusted keys

## ◆ isTrustMessageKeyOwner()

bool QXmppTrustMessageKeyOwner::isTrustMessageKeyOwner | ( | const QDomElement & | element | ) |
| static

Determines whether the given DOM element is a trust message key owner.

Parameters

  element | DOM element being checked

Returns
  true if element is a trust message key owner, otherwise false

## ◆ jid()

QString QXmppTrustMessageKeyOwner::jid | ( |  | ) | const

Returns the bare JID of the key owner.

Returns
  the key owner's bare JID

## ◆ setDistrustedKeys()

void QXmppTrustMessageKeyOwner::setDistrustedKeys | ( | const QList< QByteArray > & | keyIds | ) |

Sets the IDs of keys that are distrusted.

Parameters

  keyIds | IDs of distrusted keys

## ◆ setJid()

void QXmppTrustMessageKeyOwner::setJid | ( | const QString & | jid | ) |

Sets the bare JID of the key owner.

If a full JID is passed, it is converted into a bare JID.

Parameters

  jid | key owner's bare JID

## ◆ setTrustedKeys()

void QXmppTrustMessageKeyOwner::setTrustedKeys | ( | const QList< QByteArray > & | keyIds | ) |

Sets the IDs of keys that are trusted.

Parameters

  keyIds | IDs of trusted keys

## ◆ trustedKeys()

QList< QByteArray > QXmppTrustMessageKeyOwner::trustedKeys | ( |  | ) | const

Returns the IDs of the keys that are trusted.

Returns
  the IDs of trusted keys

The documentation for this class was generated from the following files:

- QXmppTrustMessageKeyOwner.h
- QXmppTrustMessages.cpp